StatsHub Docs
Endpoint referenceEvent

/event/{id}

PUT
/api/v2/event/{id}

Path Parameters

id*integer
Formatint64

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

curl -X PUT "https://example.com/api/v2/event/0" \  -H "Content-Type: application/json" \  -d '{    "awayScoreCurrent": 0,    "awayScoreNormaltime": 0,    "awayTeamId": 0,    "coverage": 0,    "customId": "string",    "defaultOvertimeLength": 0,    "defaultPeriodCount": 0,    "defaultPeriodLength": 0,    "fanRatingEvent": true,    "hasGlobalHighlights": true,    "homeScoreCurrent": 0,    "homeScoreNormaltime": 0,    "homeTeamId": 0,    "id": 0,    "injuryTime1": 0,    "injuryTime2": 0,    "internalId": 0,    "lineupConfirmed": true,    "nextAutoPlayerUpdate": "string",    "period1Away": 0,    "period1Home": 0,    "period2Away": 0,    "period2Home": 0,    "refereeId": 0,    "roundInfo": 0,    "roundSlug": "string",    "seasonId": 0,    "slug": "string",    "status": "string",    "timeCurrentPeriodStartTimestamp": 0,    "timeStartTimestamp": 0,    "tournamentId": 0,    "uniqueTournamentId": 0,    "venueId": 0,    "winnerCode": 0  }'
{  "$schema": "https://example.com/schemas/EventUpdateOKBody.json",  "event": {    "$schema": "https://example.com/schemas/Events.json",    "awayScoreCurrent": 0,    "awayScoreNormaltime": 0,    "awayTeamId": 0,    "coverage": 0,    "customId": "string",    "defaultOvertimeLength": 0,    "defaultPeriodCount": 0,    "defaultPeriodLength": 0,    "fanRatingEvent": true,    "hasGlobalHighlights": true,    "homeScoreCurrent": 0,    "homeScoreNormaltime": 0,    "homeTeamId": 0,    "id": 0,    "injuryTime1": 0,    "injuryTime2": 0,    "internalId": 0,    "lineupConfirmed": true,    "nextAutoPlayerUpdate": "string",    "period1Away": 0,    "period1Home": 0,    "period2Away": 0,    "period2Home": 0,    "refereeId": 0,    "roundInfo": 0,    "roundSlug": "string",    "seasonId": 0,    "slug": "string",    "status": "string",    "timeCurrentPeriodStartTimestamp": 0,    "timeStartTimestamp": 0,    "tournamentId": 0,    "uniqueTournamentId": 0,    "venueId": 0,    "winnerCode": 0  },  "message": "string"}